%% frekv_vt.m
% Urceni dechoveho objemu (VT) a frekvence dychani

function [f, VT] = frekv_vt(objem_max, objem_min, poc_dech, polohy_nul_prutok)

for i=1:poc_dech % Pro pocet klidovych dechu
    VT_temp(i) = objem_max(i,2) - objem_min(i,2); % VT (pomocna) je rozdil maximalni nadechove hodnoty a minimalni vydechove hodnoty
end

VT = mean(VT_temp); % VT je urcen jako prumer jednotlivych dechovych objemu

cas_usek = polohy_nul_prutok(poc_dech*2) - polohy_nul_prutok(2); % Casovy usek od druheho klidoveho dechu po posledni klidovy dech

f = poc_dech/((cas_usek)/60/100); % Frekvence je pocet klidovych dechu podeleno casem (v sekundach - 60) a podeleno vzorkovaci frekvenci (100 Hz)